vos listvldb               AFS Commands            vos listvldb


NAME

   vos listvldb -- show information from the VLDB.


   vos listvldb  [-name <volume name or ID>]  [-server <machine
   name>]       [-partition <partition name>]  [-locked]
   [-quiet]
   [-cell <cell name>]  [-noauth]  [-localauth]  [-verbose]
   [-help]

ACCEPTABLE ABBREVIATIONS/ALIASES

   vos listvl  [-na <volume name or ID>]  [-s <machine name>]
             [-p <partition name>]  [-lock]  [-q]  [-c <cell
   name>]  [-no]  [-loca]  [-v]  [-h]

DESCRIPTION

   Formats and displays information from the VLDB entry for the
   volume(s) indicated by  the  combination  of  the  arguments
   provided.    The  possibilities are listed here from most to
   least inclusive

   To display:

      - every entry in the  VLDB,  provide  no  arguments.
        This  can  take a very long time, depending on the
        number of entries.

      - every VLDB entry  that  mentions  a  certain  file
        server  machine  as  the  site  of  a ReadWrite or
        ReadOnly  version  of  a   volume,   specify   the
        machine's name with -server.

      - every VLDB entry that mentions a certain partition
        on any file  server  machine  as  the  site  of  a
        ReadWrite or ReadOnly version of a volume, specify
        the partition name with -partition.

      - every VLDB entry that mentions a certain partition
        on  a certain file server machine as the site of a
        ReadWrite or ReadOnly version of a volume, combine
        -server and -partition.

      - a  single  VLDB entry, specify a volume name or ID
        number with -name.

      - the VLDB entry only for the  volumes  with  locked
        VLDB  entries found at a certain site, combine the
        -locked flag with any  of  arguments  that  define
        sites.

ARGUMENTS

   -name           specifies   either   the  complete  name  or
                   volumeID number of a volume of  any  of  the
                   three types.

   -server         names  a  file  server machine.  Abbreviated
                   forms  of  machine  names  may  be   allowed



                   depending on the naming service available at
                   the time the command is issued; see page xii
                   in   the   introductory  About  This  Manual
                   chapter.  This argument may be combined with
                   -partition.

   -partition      names  a partition.  In addition to the full
                   /vicepx form  of  a  partition  name,  three
                   shorter  forms  are acceptable; see page xii
                   in  the  introductory  About   This   Manual
                   chapter.  This argument may be combined with
                   -server.

   -locked         indicates that the  output  will  show  only
                   locked  VLDB entries.  May be used alone, or
                   combined with one or more of -name,  -server
                   or -partition.

   -quiet          suppresses  the  lines  that  appear  at the
                   beginning  and  end  of  the  output,  which
                   specify the machine/partition the listing is
                   for,  and  the  total  number   of   entries
                   reported.

   -cell           specifies  the  cell  in  which  to  run the
                   command.  See section 8.3 in  the  Reference
                   Manual for more details.  -noauth
                   tells the Volume and Volume Location Servers
                   to  assign  the  identity  anonymous  to the
                   issuer.  See section 8.3  in  the  Reference
                   Manual for more details.  -localauth
                   constructs a server ticket using a key  from
                   /usr/afs/etc/KeyFile.    See  section 8.3 in
                   the  Reference  Manual  for  more   details.
                   -verbose
                   tells the Volume and Volume Location Servers
                   to  report  on  what  they are doing as they
                   execute the command.  See section 8.3 in the
                   Reference Manual for more details.  -help
                   prints the online help for this command.  Do
                   not  provide  any  other  arguments or flags
                   with this one.    See  section  8.3  in  the
                   Reference Manual for more details.

OUTPUT

   The  first  line  specifies the machine and/or partition for
   which output is given.  If the -quiet flag  is  added,  this
   line does not appear.

   The  VLDB  entry  for  each  volume  includes  the following
   information:

      - If the VLDB entry is locked,  a  LOCKED  indicator
        appears alone on a line at the top of the output.

      - The normal first line displays the volume's name.

      - Next   appear   the   volumeID   numbers  for  the
        ReadWrite, ReadOnly, Backup copies of the  volume,
        and  for  the ReleaseClone copy if it exists.  The



        first three types are also marked  with  a  status
        flag  of  either valid or invalid.  The valid flag
        indicates that at least one copy of  that  version
        of  the  volume  exists at an actual site.  If the
        ReleaseClone ID appears here, then one or more OLD
        or  NEW flags should appear on the site definition
        lines below.

      - The next-to-last  line  indicates  the  number  of
        separate   sites  (partition/file  server  machine
        pairs) where copies exist.  It  should  match  the
        number of sites shown on the following line(s).

      - Each   of  the  remaining  lines  show  where  the
        ReadWrite copy (and by  implication,  Backup)  and
        each   ReadOnly   copy   of  the  volume  resides,
        specified by file server machine  name,  partition
        name  and type (RW or RO).  The presence of NEW or
        OLD  flags  on  these  lines  indicates  a  failed
        release;   they   should   appear   only   if  the
        ReleaseClone ID also appears above.

   If the output includes more than one VLDB  entry,  the  very
   last  line  of  the output shows the total number of entries
   reported.  This line does not appear if the -quiet  flag  is
   used.

EXAMPLE(S)

   The   following   displays  VLDB  information  the  Transarc
   Corporation volume called usr, which has with  two  ReadOnly
   replication sites:

       % vos listvldb usr
       usr
               readWriteID  536870981  valid
               readOnlyID   536870982  valid
               backUpID     536870983  invalid
           number of sites -> 3
           server fs1.transarc.com partition /vicepa RO Site
           server fs3.transarc.com partition /vicepa RO Site
           server fs2.transarc.com partition /vicepb RW Site

   The  following  shows  entries  for  two of the volumes that
   reside on fs4.transarc.com.  The VLDB entry for the first is
   currently locked.

       % vos listvldb -s fs4.transarc.com
           .       .           .        .
           .       .           .        .
               LOCKED
       user.smith
               readWriteID  278541326  valid
               readOnlyID   278541327  invalid
               backUpID     278542328  valid
           number of sites -> 1
           server fs4.transarc.com partition /vicepg RW Site



       user.terry
               readWriteID  354287190  valid
               readOnlyID   354287191  invalid
               backUpID     354287192  valid
           number of sites -> 1
           server fs4.transarc.com partition /vicepc RW Site
           .       .           .        .
           .       .           .        .

PRIVILEGE REQUIRED

   None.

MORE INFORMATION

   vos examine vos listvol vos lock vos unlock vos unlockvldb
